// Reference implementation of SAXPY/DAXPY

#ifdef DOUBLE
#define AXPY   daxpy
#define FLOAT  double
#else
#define AXPY   saxpy
#define FLOAT  float
#endif

void AXPY(const int N, const FLOAT da, 
          const FLOAT x[], const int inc_x, FLOAT y[], const int inc_y) {
for(int i=0; i<N; i++)
  y[i*inc_y] += da * x[i*inc_x];
}
